package gmt.protocol.ext.VO;

public class ExtMsg_STA11VO {
	private String msg;
	private String packetType;
    private int processCode;  //0 : BSC, 1 : EyeAIS-300, 2 : EyeAIS-600, 3: EyeAS-DRS, 4 : EyeAS-DSS
	private int status;       //항목별 체크 후 생성된 최종 상태.  0 : 정상, 1 : 비정상
	private int thread;       //Thread 구동 상태      (0 : 정상, 1 : 비정상, 2 : 미사용)
	private int DB;           //DB 처리상태           (0 : 정상, 1 : 비정상, 2 : 미사용)
	private int TxRx;         //송수신상태            (0 : 정상, 1 : 비정상, 2 : 미사용)
	private int userDef;      //사용자 정의 상태      (0 : 정상, 1 : 비정상, 2 : 미사용)
	private int CPU;          //CPU 사용률            (단위 : %)
	private int memory;       //메모리사용량
	private int freezing;     //응답없음 상태         (0 : 정상, 1 : 비정상, 2 : 미사용)
	private int chkPort;      //포트 체크 상태        (0 : 정상, 1 : 비정상, 2 : 미사용)
	private int chkMW;        //미들웨어 체크 상태    (0 : 정상, 1 : 비정상, 2 : 미사용)
	private String remark;    //비정상시 사유
	private String ver;       //버전정보
	
	public ExtMsg_STA11VO() {
		this.msg = "";
		this.packetType = "";
		this.processCode = -1;
		this.status = 1;
		this.thread = 2;
		this.DB = 2;
		this.TxRx = 2;
		this.userDef = 2;
		this.CPU = 2;
		this.memory = 2;
		this.freezing = 2;
		this.chkPort = 2;
		this.chkMW = 2;
		this.remark = "";
		this.ver = "";
	}

	public String getMsg() {
		return msg;
	}
	public void setMsg(String msg) {
		this.msg = msg;
	}
	public String getPacketType() {
		return packetType;
	}
	public void setPacketType(String packetType) {
		this.packetType = packetType;
	}
	public int getProcessCode() {
		return processCode;
	}
	public void setProcessCode(int processCode) {
		this.processCode = processCode;
	}	
	public int getStatus() {
		return status;
	}
	public void setStatus(int status) {
		this.status = status;
	}		
	public int getThread() {
		return thread;
	}
	public void setThread(int thread) {
		this.thread = thread;
	}		
	public int getDB() {
		return DB;
	}
	public void setDB(int DB) {
		this.DB = DB;
	}			
	public int getTxRx() {
		return TxRx;
	}
	public void setTxRx(int TxRx) {
		this.TxRx = TxRx;
	}		
	public int getUserDef() {
		return userDef;
	}
	public void setUserDef(int userDef) {
		this.userDef = userDef;
	}	
	public int getCPU() {
		return CPU;
	}
	public void setCPU(int CPU) {
		this.CPU = CPU;
	}		
	public int getMemory() {
		return memory;
	}
	public void setMemory(int memory) {
		this.memory = memory;
	}	
	public int getFreezing() {
		return freezing;
	}
	public void setFreezing(int freezing) {
		this.freezing = freezing;
	}	
	public int getChkPort() {
		return chkPort;
	}
	public void setChkPort(int chkPort) {
		this.chkPort = chkPort;
	}	
	public int getchkMW() {
		return chkMW;
	}
	public void setchkMW(int chkMW) {
		this.chkMW = chkMW;
	}		
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
	public String getVer() {
		return ver;
	}
	public void setVer(String ver) {
		this.ver = ver;
	}	
	
}
